Subject: Re: [PATCH/RFC] gitweb: Don't pass --full-history to git-log(1)

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Aug 2015 00:41:05 -0700

Junio C Hamano <[email-masked]> writes:

> Heh, in 2008 we already had more than a few dozen.
>
> I think
>
>  (1) It is perfectly OK to add an UI option to let the web visitor
>      choose between simplified and full history at runtime,
>      optionally with a new gitweb.conf option to let the project
>      owner choose which one is the default;
>
>  (2) It is also OK to add gitweb.conf option to let the project/site
>      choose between the two, optionally allowing the web visitor to
>      override it with something like (1).
>
> Anything else would not give the same out-of-the-box experience and
> would probably not fly well.

Just to make sure, "would not fly well" is not an outright rejection
(given enough thrust, even a pig could fly).

An alternative with a bit more friction may be to do a variant of
(2), without UI but only with gitweb.conf tweakability, _and_
flipped default.  That will break the out-of-the-box experience but
I suspect that many people would not notice (because their history
is linear), some people who do notice would like the change, and the
remainder can tweak their installation back to the full-history
version, as long the change of the default is prominently
advertised.